<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TEmployeeContractPreHistoryMapper">

  <resultMap id="tEmployeeContractPreMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TEmployeeContractPreHistory">
    <id property="id" column="id"/>
    <result property="deptName" column="dept_name"/>
    <result property="deptNo" column="dept_no"/>
    <result property="deptId" column="dept_id"/>
    <result property="employeeName" column="employee_name"/>
    <result property="empIdcard" column="emp_idcard"/>
    <result property="empPhone" column="emp_phone"/>
    <result property="position" column="position"/>
    <result property="joinLeaveDate" column="join_leave_date"/>
    <result property="contractType" column="contract_type"/>
    <result property="processStatus" column="process_status"/>
    <result property="signatory" column="signatory"/>
    <result property="customerUsername" column="customer_username"/>
    <result property="customerUserLoginname" column="customer_user_loginname"/>
    <result property="signType" column="sign_type"/>
    <result property="signFlag" column="sign_flag"/>
    <result property="errorInfo" column="error_info"/>
    <result property="errorTime" column="error_time"/>
    <result property="fadadaTemplate" column="fadada_template"/>
    <result property="fadadaTemplateId" column="fadada_template_id"/>
    <result property="dataSource" column="data_source"/>
    <result property="expectedCollectionTime" column="expected_collection_time"/>
    <result property="contractStart" column="contract_start"/>
    <result property="contractEnd" column="contract_end"/>
    <result property="situation" column="situation"/>
    <result property="contractDurationYear" column="contract_duration_year"/>
    <result property="contractDurationMonth" column="contract_duration_month"/>
    <result property="contractTerm" column="CONTRACT_TERM"/>
    <result property="tryPeriodStart" column="try_period_start"/>
    <result property="tryPeriodEnd" column="try_period_end"/>
	<result property="task" column="TASK"/>
	<result property="taskType" column="TASK_TYPE"/>
	<result property="taskEndStandard" column="TASK_END_STANDARD"/>
    <result property="expectedConfirmTime" column="expected_confirm_time"/>
    <result property="configName" column="config_name"/>
    <result property="updateFlag" column="update_flag"/>
    <result property="tryPeriodType" column="TRY_PERIOD_TYPE"/>
    <result property="tryPeriod" column="TRY_PERIOD"/>
    <result property="salaryType" column="SALARY_TYPE"/>
    <result property="salaryStandardPerHour" column="SALARY_STANDARD_PER_HOUR"/>
    <result property="salaryStandardPerPiece" column="SALARY_STANDARD_PER_PIECE"/>
    <result property="configId" column="config_id"/>
    <result property="workingDept" column="WORKING_DEPT"/>
    <result property="workingCompany" column="WORKING_COMPANY"/>
    <result property="workingHours" column="working_hours"/>
    <result property="workingReward" column="working_reward"/>
    <result property="riskBuyDesc" column="RISK_BUY_DESC"/>
    <result property="otherWage" column="OTHER_WAGE"/>
    <result property="laborCost" column="LABOR_COST"/>
    <result property="defaultAmount" column="DEFAULT_AMOUNT"/>
    <result property="settlementCycle" column="SETTLEMENT_CYCLE"/>
    <result property="paymentTime" column="PAYMENT_TIME"/>
    <result property="paymentType" column="PAYMENT_TYPE"/>
    <result property="dispatchPeriodYear" column="DISPATCH_PERIOD_YEAR"/>
    <result property="dispatchPeriodMonth" column="DISPATCH_PERIOD_MONTH"/>
    <result property="dispatchPeriodStart" column="DISPATCH_PERIOD_START"/>
	<result property="registerId" column="register_id"/>
	<result property="contractFlag" column="contract_flag"/>
	<result property="revokeReason" column="revoke_reason"/>
    <result property="dispatchPeriodEnd" column="DISPATCH_PERIOD_END"/>
    <result property="workType" column="WORK_TYPE"/>
    <result property="workDayCount" column="WORK_DAY_COUNT"/>
    <result property="workDay" column="WORK_DAY"/>
    <result property="workHours" column="WORK_HOURS"/>
    <result property="otherWorkDay" column="OTHER_WORK_DAY"/>
    <result property="internshipPeriod" column="INTERNSHIP_PERIOD"/>
    <result property="internshipPeriodStart" column="INTERNSHIP_PERIOD_START"/>
    <result property="internshipPeriodEnd" column="INTERNSHIP_PERIOD_END"/>
	<result property="confirmEmpSelect" column="CONFIRM_EMP_SELECT"/>
	<result property="timeoutElecSign" column="TIMEOUT_ELEC_SIGN"/>
	<result property="contractEndType" column="CONTRACT_END_TYPE"/>
    <result property="postType" column="POST_TYPE"/>
    <result property="post" column="POST"/>
    <result property="contractId" column="contract_id"/>
    <result property="workAddress" column="WORK_ADDRESS"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="createName" column="create_name"/>
    <result property="createTime" column="create_time"/>
    <result property="updateBy" column="update_by"/>
    <result property="contractSubName" column="CONTRACT_SUB_NAME"/>
    <result property="requestId" column="request_id"/>
    <result property="requestMsg" column="request_msg"/>
    <result property="overFlag" column="over_flag"/>
    <result property="changeTypeReason" column="change_type_reason"/>
    <result property="changeTypeUser" column="change_type_user"/>
    <result property="changeTypeTime" column="change_type_time"/>
    <result property="archivesIsCreate" column="archives_is_create"/>
  </resultMap>
</mapper>
